
configure:
# Nothing, do config+make

build-indep:
# Do nothing

build-arch:
# Nothing, do config+make

build: build-indep build-arch

install: build install-stamp
install-stamp:
	dh_testdir
	dh_testroot
	dh_installdirs -A

	for php in $(SUPPORT_PHP); do \
        cp -r $(CURDIR)/debian/etc/php$$php $(CURDIR)/php$$php; \
        cd $(CURDIR)/php$$php/conf.d && sed -i -e "s:%PHP%:$$php:g" *; \
        cd $(CURDIR)/debian && \
        for e in *.install.sh; do \
            extn=php$$php-`basename $$e .install.sh`; \
            ext_ini=`grep '.ini ' $$e | grep -P '%PHP%\/conf\.d$$' | cut -d' ' -f1`; \
            ext=`for ini in $$ext_ini; do basename $$ini .ini; done | sort -u | tr [:cntrl:] ' '`; \
            cp $$e $$extn.install; \
            sed -i -e "s:%PHP%:$$php:g" $$extn.install; \
            cp mod-postinst-template.sh $$extn.postinst; \
            sed -i -e "s:%PHP%:$$php:g" $$extn.postinst; \
            sed -i -e "s:%EXTENSION%:$$ext:g" $$extn.postinst; \
            cp mod-prerm-template.sh $$extn.prerm; \
            sed -i -e "s:%PHP%:$$php:g" $$extn.prerm; \
            sed -i -e "s:%EXTENSION%:$$ext:g" $$extn.prerm; \
        done; \
		cp -r $(CURDIR)/src $(CURDIR)/build; \
		cd $(CURDIR)/build; \
		if [ -f Makefile ]; then $(MAKE) distclean >/dev/null; fi; \
		phpize$$php; \
		./configure --with-php-config=php$$php-config $(CONFIG_OPTS) >build-php$$php.log 2>&1 && \
		$(MAKE) -j$(MAKELEVEL) >>build-php$$php.log 2>&1; \
		if [ $$? -ne 0 ]; then cat build-php$$php.log; exit 1; fi; \
		ext=`ls -1 modules/*.so | tail -n1`; \
		ext=`basename $$ext`; \
		strip -s modules/$$ext; \
		mv -v modules/$$ext $(CURDIR)/php$$php/; \
	done

	touch $@

clean:
	dh_testdir
	if [ -d $(CURDIR)/build ]; then rm -rf $(CURDIR)/build; fi
	if [ -d $(CURDIR)/modules ]; then rm -rf $(CURDIR)/modules; fi
	cd src; if [ -f Makefile ]; then $(MAKE) distclean >/dev/null; fi
	rm -rf $(CURDIR)/php*
	rm -f $(CURDIR)/debian/*.install $(CURDIR)/debian/*.postinst $(CURDIR)/debian/*.prerm
	dh_clean

# Build architecture-independent files here.
binary-indep: install
	dh_testdir
	dh_testroot
	dh_install -i
	dh_installchangelogs -i
	dh_installdocs -i
	dh_installman -i
	dh_link -i
	dh_compress -i
	dh_fixperms -i
	dh_installdeb -i
	dh_gencontrol -i
	dh_md5sums -i
	dh_builddeb -i

# Build architecture-dependent files here.
binary-arch: install
	dh_testdir
	dh_testroot
	dh_install -a
	dh_installman -a
	dh_link -a
	dh_strip -a
	dh_compress -a
	dh_fixperms -a
	dh_installdeb -a
	dh_shlibdeps -a
	dh_gencontrol -a
	dh_md5sums -a
	dh_builddeb -a

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure
